#!/bin/bash
MBINS=/root/my-applications/bin
# $MBINS/chrono-m0.sh
# Objectif : un chronomètre qui se sert de boucles for..do..done,
# de < sec > et de < sleep 1s > au lieu de l'utilitaire < date >
# généralement utilisé pour cela. Recourt de plus à des séquences
# ANSI pour le positionnement.
#
# (c) musher0, 4-5 févr. 2019. GPL3.
####
for jr in `seq -w 0 365`; do # Bon pour une anée non bisextile ! (MDR !)
     for hre in `seq -w 0 23`; do
          for min in `seq -w 0 59`; do
               for sec in `seq -w 0 59`;do
                    echo -ne "\e[2;1f  ${jr}j ${hre}h ${min}m ${sec}s \e[m" &
                    echo "${jr}j ${hre}h ${min}m ${sec}s" > /root/my-documents/chrono.tmp
                    sleep 1s  # Avec petit rapport.
               done
          done
     done
done
exit

# Remarques
# -- Ce ne sera pas d'une précision astronomique,
# mais au quotidien, cela devrait suffire.
# -- Dispose d'un script lanceur, lance-chrono-m0.sh.

# Ligne 16 --
# On crée un petit rapport à chaque seconde, pour la
# commodité de la chose. Précis à la seconde près.
#
