#!/bin/ash
MBINS=/root/my-applications/bin
# $MBINS/lance-chrono-m0.sh
# Lanceur pour le script $MBINS/chrono-m0.sh
#
# (c) musher0, 4 et 5 févr. 2019. GPL3.
####
psawk () { ps | awk '$4=="urxvt" && $NF ~ /chrono-m0/ { print $1 }'; }
if [ "`psawk`" ] ;then # Commutateur
     kill -s 15 `psawk` # Si vous avez besoin d'un rapport, voir
# /root/my-documents/chrono.tmp/root/my-documents/chrono.tmp

else
# Variables
     FnT="fn xft:LucidaGrande:pixelsize=18:style=bold:antialias=true:autohint=true"
     GeoM="g 20x3-50+220"
     ClR="fg wheat -bg Sienna4 -b 10 -cr NavajoWhite2 -pr snow -pr2 yellow +pb"
     FadE="fade 70 -fadecolor "#94A495""
     TrnsP="tr -sh 80 -tint NavajoWhite3"
     TitrE=chrono
     IcN="icon /usr/share/icons/clock-48x.png"
# Action
     urxvt +sb -tr -$GeoM -uc -bc -$ClR -$FadE -$FnT -letsp -7 -$TrnsP -title $TitrE -$IcN -e $MBINS/chrono-m0.sh
fi
